---

stages:
  - build

variables:
  MD_LINK_CHECK_PATH_EXCLUSION: ''

lint:markdown-link-check:
  stage: build
  image:
    name: ghcr.io/tcort/markdown-link-check:3.9.0
    entrypoint: [""]
  before_script:
    - |
      if [ -z "${MD_LINK_CHECK_PATH_EXCLUSION}" ]
      then
        echo "🕵️ No path exclusion set"
        export PATH_EXCL_CMD=""
      else
        echo "🕵️ Path exclusion set to ${MD_LINK_CHECK_PATH_EXCLUSION}"
        export MDL_CHECK_PATH_EXCLUSION="${MD_LINK_CHECK_PATH_EXCLUSION}"
        export \
          PATH_EXCL_CMD="-type d -path ${MDL_CHECK_PATH_EXCLUSION} -prune -o"
      fi
  script:
    - |
      for file in $(find . $PATH_EXCL_CMD -iname '*.md' -print)
      do
        /src/markdown-link-check -c .markdownlinkcheck.json $file
      done
  rules:
    - if: '$MD_LINK_CHECK_DISABLED == "true" || $JOBS_DISABLED == "true"'
      when: never
    - if: '$CI_COMMIT_MESSAGE =~ /skip-markdownlinkchecklint/'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      changes:
        paths:
          - "**/*.md"
